Skip to main content
`Ctrl`+`K`

# Elk

Elk is an all-electron full-potential linearised augmented-plane wave (LAPW) code.

Changed in version 3.26.0: `ELK` is now a subclass of `GenericFileIOCalculator`.

`ELK` can be configured with `config.ini`.

    [elk]
    command = /path/to/elk
    sppath = /path/to/species

If you need to override it for programmatic control of the `elk` command, use `ElkProfile`.

    from ase.calculators.elk import ELK, ElkProfile

    profile = ElkProfile(command='/path/to/elk')
    calc = ELK(profile=profile)

class ase.calculators.elk.ELK(*, profile=None, command=<object object>, label=<object object>, directory='.', **kwargs)

  Elk calculator.

  Parameters:

    **kwargs (dict, optional) – ASE standard keywords like `xc`, `kpts` and `smearing` or any Elk-native keywords.

  Examples

      >>> calc = ELK(tasks=0, ngridk=(3, 3, 3))